#!/usr/bin/perl -w

# index.cgi: homepage for Faculty Recruitment System
#
# Copyright (C) 2000-2003 Filippo Menczer and the University of Iowa
# Copyright (C) 2003-2004 Filippo Menczer and Indiana University 
#
#    This file is part of the Recruit system
#
#    Recruit is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Recruit is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Recruit; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

$|=1;
use strict;
use CGI::Carp qw(fatalsToBrowser);
use CGI qw(:standard);

# PARAMETERS OF THE SEARCH
use lib qw(.);
use params ();
use vars qw(%global);
*global = \%params::global;
my $dept = $global{dept};
my $deptURL = $global{deptURL};
my $adURL = $global{adURL};
my $adminmail = $global{adminmail};

# MAIN
print header, start_html(-title=>"$dept Recruit", -BGCOLOR=>'ffffff'), 
	 h1("$dept Faculty Recruitment System");
print "Welcome to the ", a({href=>"$deptURL"}, "$dept"), " Recruit System. ";
print p("You have the following options:");
print ul(
	 li("Applicants: ", a({href=>"submit.cgi"}, "SUBMIT"), " an application"),
	 li("Committee members: ", a({href=>"admin/review.cgi"}, "REVIEW"), " applications (", 
	   a({href=>"admin/register.cgi"}, "REGISTER"), " first if this is your first visit)"), 
	 li("Administrators: use the ", a({href=>"admin/admin.cgi"}, "ADMIN"), " tool")
);
print p("If you have questions about the application process please contact ", 
	 a({href=>"mailto:$adminmail"}, "$adminmail"), 
	 ". Thank you for your interest in our ", 
	 a({href=>"$adURL"}, "open faculty positions"), "!");
print hr, a({href=>"http://www.informatics.indiana.edu/fil/Recruit/", target=>"_new"}, 'Recruit'), 
	" &copy; 2000-2004 ", a({href=>"http://www.informatics.indiana.edu/fil/", target=>"_new"}, 'Filippo Menczer'); 
print end_html;
